Summary: Graphical tools for certain user account management tasks.
Name: usermode
Version: 1.42
Release: 8mdk
License: GPL
Group: System/Configuration/Other
BuildRequires: gtk+-devel pam-devel pwdb-devel
Source0: usermode-%{version}.tar.bz2
# extra translations
Source3: usermode-pofiles.tar.bz2
Patch1: usermode-env.patch.bz2
Patch2: usermode-1.37-optflags.patch.bz2
Patch3: usermode-1.42-fix-running-with-stdin-being-dev-null.patch.bz2
Requires: util-linux pam >= 0.66-5
Conflicts: SysVinit < 2.74-14 msec < 0.15-17mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The usermode package contains several graphical tools for users:
userinfo, usermount and userpasswd.  Userinfo allows users to change
their finger information.  Usermount lets users mount, unmount, and
format filesystems.  Userpasswd allows users to change their
passwords.

Install the usermode package if you would like to provide users with
graphical tools for certain account management tasks.

%prep
%setup -q
%patch1 -p1 -b .env
%patch2 -p1 -b .optflags
%patch3 -p1

%build
%make 

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man8}
make PREFIX=$RPM_BUILD_ROOT mandir=%{_mandir} install-man



# Stuff from pam_console, for sysvinit. Here for lack of a better
# place....
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
for wrapapp in shutdown halt reboot poweroff ; do
  ln -sf consolehelper $RPM_BUILD_ROOT%{_bindir}/$wrapapp
  touch $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/$wrapapp
  cp shutdown.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/$wrapapp
done

# install extra po files
bzcat %{SOURCE3} | tar xf -

for i in po/*.po ; do
  mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/`basename $i .po`/LC_MESSAGES
  msgfmt -v -o $RPM_BUILD_ROOT/%{_datadir}/locale/`basename $i .po`/LC_MESSAGES/%{name}.mo $i || :
done
# 'zh' alone is wrong
[ -d  $RPM_BUILD_ROOT/%{_datadir}/locale/zh ] && \
	rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale/zh
# eu_ES is bad file
[ -d  $RPM_BUILD_ROOT/%{_datadir}/locale/eu_ES ] && \
	rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale/eu_ES
# this is empty
[ -d  $RPM_BUILD_ROOT/%{_datadir}/locale/zh_CN.GB2312 ] && \
	rm -rf $RPM_BUILD_ROOT/%{_datadir}/locale/zh_CN.GB2312

%find_lang %{name}

%post
if [ ! -z "$SECURE_LEVEL" ];then
if [ -x /usr/sbin/msec -a "$SECURE_LEVEL" -gt "3" ]; then  /usr/sbin/msec $SECURE_LEVEL || true ; fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/usermount
%{_mandir}/man1/usermount.1*
%{_bindir}/userinfo
%{_mandir}/man1/userinfo.1*
%attr(4755,root,root) %{_sbindir}/userhelper
%{_mandir}/man8/userhelper.8*
%{_bindir}/userpasswd
%{_mandir}/man1/userpasswd.1*
%{_bindir}/consolehelper
%{_mandir}/man8/consolehelper.8*
%{_datadir}/pixmaps/*
%config(noreplace) %{_sysconfdir}/X11/applnk/System/*
# PAM console wrappers
%{_bindir}/shutdown
%{_bindir}/halt
%{_bindir}/reboot
%{_bindir}/poweroff
%config(noreplace) %{_sysconfdir}/pam.d/shutdown
%config(noreplace) %{_sysconfdir}/pam.d/halt
%config(noreplace) %{_sysconfdir}/pam.d/reboot
%config(noreplace) %{_sysconfdir}/pam.d/poweroff
%config(missingok,noreplace) %{_sysconfdir}/security/console.apps/shutdown
%config(missingok,noreplace) %{_sysconfdir}/security/console.apps/halt
%config(missingok,noreplace) %{_sysconfdir}/security/console.apps/reboot
%config(missingok,noreplace) %{_sysconfdir}/security/console.apps/poweroff


%changelog
* Mon Sep 17 2001 Pixel <pixel@mandrakesoft.com> 1.42-8mdk
- fix (?) running progs via usermode with 1</dev/null or 2>/dev/null

* Mon Sep 10 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.42-7mdk
- included latest translations (this time they are in)

* Tue Sep 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.42-6mdk
- included latest translations

* Mon Aug 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.42-5mdk
- updated post script to work when SECURE_LEVEL is not set

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.42-4mdk
- Sanity build for 8.1.

* Wed Jul 11 2001 Stefan van der Eijk <stefan@eijk.nu> 1.42-3mdk
- BuildRequires:	gtk+-devel
- BuildRequires:	pam-devel
- Removed BuildRequires:	XFree86-devel

* Wed Jul 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.42-2mdk
- Use more macros
- Remove source 1, 2 + menu entry (not needed)
- Shutdown tools are back (conflict with msec < 0.15-17mdk) 
- Call msec at install time if installed

* Tue May 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.42-1mdk
- Bump a nice and tasty 1.42 out for cooker.
- s/Copyright/License/;

* Tue Apr 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.37-5mdk
- Update patch 2 for better INITIAL_USER handling

* Mon Apr 09 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.37-4mdk
- included latest translations

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.37-3mdk
- Update patch 2 to set INITIAL_USER and BROWSER variable

* Wed Nov 29 2000 Geoffrey lee <snailtalk@mandrakesoft.com> 1.37-2mdk
- use optflags.

* Fri Nov 10 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.37-1mdk
- bump up version for security fix. (RH).

* Tue Oct 10 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.36-2mdk
- patch to set some more environment variables

* Tue Oct 10 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.36-1mdk
- bump up version for security fix. (RH)

* Mon Oct  9 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.35-5mdk
- updated French, Spanish, etc. translations

* Mon Oct  9 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.35-4mdk
- included translations into the rpm; and added new ones (new ones still
  very incomplete)

* Mon Oct  9 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.35-3mdk
- set gid also when no session

* Fri Oct  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 1.35-2mdk
- patch in userhelper to set gid when executing a foreign program
  (-w option) (thanks to Fred Lepied)

* Thu Sep 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.35-1mdk
- Release 1.35

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.22-4mdk
- automatically added BuildRequires

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.22-3mdk
- macroszifications
- Makefile patch for new manpage location
- BM

* Tue Jul 18 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.22-2mdk
- remove pam console wrappers (security fix)

* Sat Apr 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.22-1mdk
- updated to new version
- updated group information
- added menu code
- There are no doc files available.

* Thu Mar 09 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix problem parsing userhelper's -w flag with other args

* Wed Mar 08 2000 Nalin Dahyabhai <nalin@redhat.com>
- ignore read() == 0 because the child exits

* Tue Mar 07 2000 Nalin Dahyabhai <nalin@redhat.com>
- queue notice messages until we get prompts in userhelper to fix bug #8745

* Fri Feb 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- free trip through the build system

* Tue Jan 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- grab keyboard input focus for dialogs

* Fri Jan 07 2000 Michael K. Johnson <johnsonm@redhat.com>
- The root exploit fix created a bug that only showed up in certain
  circumstances.  Unfortunately, we didn't test in those circumstances...

* Mon Jan 03 2000 Michael K. Johnson <johnsonm@redhat.com>
- fixed local root exploit

* Thu Sep 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- fixed old complex broken gecos parsing, replaced with simple working parsing
- can now blank fields (was broken by previous fix for something else...)

* Tue Sep 21 1999 Michael K. Johnson <johnsonm@redhat.com>
- FALLBACK/RETRY in consolehelper/userhelper
- session management fixed for consolehelper/userhelper SESSION=true
- fix memory leak and failure to close in error condition (#3614)
- fix various bugs where not all elements in userinfo got set

* Mon Sep 20 1999 Michael K. Johnson <johnsonm@redhat.com>
- set $HOME when acting as consolehelper
- rebuild against new pwdb

* Tue Sep 14 1999 Michael K. Johnson <johnsonm@redhat.com>
- honor "owner" flag to mount
- ask for passwords with username

* Tue Jul 06 1999 Bill Nottingham <notting@redhat.com>
- import pam_console wrappers from SysVinit, since they require usermode

* Mon Apr 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- even better check for X availability

* Wed Apr 07 1999 Michael K. Johnson <johnsonm@redhat.com>
- better check for X availability
- center windows to make authentication easier (improve later with
  transients and embedded windows where possible)
- applink -> applnk
- added a little padding, especially important when running without
  a window manager, as happens when running from session manager at
  logout time

* Wed Mar 31 1999 Michael K. Johnson <johnsonm@redhat.com>
- hm, need to be root...

* Fri Mar 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- updated userhelper.8 man page for consolehelper capabilities
- moved from wmconfig to desktop entries

* Thu Mar 18 1999 Michael K. Johnson <johnsonm@redhat.com>
- added consolehelper
- Changed conversation architecture to follow PAM spec

* Wed Mar 17 1999 Bill Nottingham <notting@redhat.com>
- remove gdk_input_remove (causing segfaults)

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix missing include files

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- use defattr
- fix spec file ( rm -rf $(RPM_BUILD_ROOT) is a stupid thing to do ! )

* Tue Oct 06 1998 Preston Brown <pbrown@redhat.com>
- fixed so that the close button on window managers quits the program properly

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- use gtk-config during build
- added make archive rule to Makefile
- uses a build root

* Fri Nov  7 1997 Otto Hammersmith <otto@redhat.com>
- new version that fixed memory leak bug.

* Mon Nov  3 1997 Otto Hammersmith <otto@redhat.com>
- updated version to fix bugs

* Fri Oct 17 1997 Otto Hammersmith <otto@redhat.com>
- Wrote man pages for userpasswd and userhelper.

* Tue Oct 14 1997 Otto Hammersmith <otto@redhat.com>
- Updated the packages... now includes userpasswd for changing passwords
  and newer versions of usermount and userinfo.  No known bugs or
  misfeatures. 
- Fixed the file list...

* Mon Oct 6 1997 Otto Hammersmith <otto@redhat.com>
- Created the spec file.

